## ide-notifications ide-notifications |

## Functions

IdeNotifications * | ide_notifications_new ()
void | ide_notifications_add_notification ()
gdouble | ide_notifications_get_progress ()
gboolean | ide_notifications_get_has_progress ()
gboolean | ide_notifications_get_progress_is_imprecise ()
IdeNotification * | ide_notifications_find_by_id ()

## Properties

gboolean | has-progress | Read
gdouble | progress | Read
gboolean | progress-is-imprecise | Read

## Types and Values

#define | IDE_TYPE_NOTIFICATIONS
| IdeNotifications

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeNotifications

## Implemented Interfaces

IdeNotifications implements GListModel.

## Description

## Functions

### ide_notifications_new ()

    IdeNotifications *
    ide_notifications_new (void);

Create a new IdeNotifications.

Usually, creating this is not necessary, as the IdeContext root IdeObject will create it automatically.

#### Returns

a newly created IdeNotifications.

[transfer full]

Since: 3.32

### ide_notifications_add_notification ()

    void
    ide_notifications_add_notification (IdeNotifications *self,
                                        IdeNotification *notification);

Adds `notification` as a child of `self` , sorting it by priority and urgency.

#### Parameters

self | an IdeNotifications |
notification | an IdeNotification |

Since: 3.32

### ide_notifications_get_progress ()

    gdouble
    ide_notifications_get_progress (IdeNotifications *self);

Gets the combined progress of the notifications contained in this IdeNotifications object.

#### Parameters

self | a IdeNotifications |

#### Returns

A double between 0.0 and 1.0

Since: 3.32

### ide_notifications_get_has_progress ()

    gboolean
    ide_notifications_get_has_progress (IdeNotifications *self);

Gets if any of the notification support progress updates.

#### Parameters

self | a IdeNotifications |

#### Returns

`TRUE` if any notification has progress

Since: 3.32

### ide_notifications_get_progress_is_imprecise ()

    gboolean
    ide_notifications_get_progress_is_imprecise
                                   (IdeNotifications *self);

Checks if all of the notifications with progress are imprecise.

#### Parameters

self | a IdeNotifications |

#### Returns

`TRUE` if all progress-supporting notifications are imprecise.

Since: 3.32

### ide_notifications_find_by_id ()

    IdeNotification *
    ide_notifications_find_by_id (IdeNotifications *self,
                                  const gchar *id);

Finds the first IdeNotification registered with `self` with “id” of `id` .

#### Parameters

self | a IdeNotifications |
id | the id of the notification |

#### Returns

an IdeNotification or `NULL`.

[transfer full][nullable]

Since: 3.32

## Types and Values

### IDE_TYPE_NOTIFICATIONS

    #define IDE_TYPE_NOTIFICATIONS (ide_notifications_get_type())

### IdeNotifications

    typedef struct _IdeNotifications IdeNotifications;

## Property Details

### The `“has-progress”` property

      “has-progress”             gboolean

The "has-progress" property denotes if any of the notifications have progress supported.

Owner: IdeNotifications

Flags: Read

Default value: FALSE

Since: 3.32

### The `“progress”` property

      “progress”                 gdouble

The "progress" property is the combination of all of the notifications currently monitored. It is updated when child notifications progress changes.

Owner: IdeNotifications

Flags: Read

Allowed values: [0,1]

Default value: 0

Since: 3.32

### The `“progress-is-imprecise”` property

      “progress-is-imprecise”    gboolean

The "progress-is-imprecise" property indicates that all progress-bearing notifications are imprecise.

Owner: IdeNotifications

Flags: Read

Default value: FALSE

Since: 3.32